package com.tarena.oss.admin.service;

import java.util.Collection;

import com.tarena.oss.admin.pojo.Admin;
import com.tarena.oss.admin.pojo.AdminCondDTO;

public interface AdminMgmtService {
	Admin lgoin(String userName,String password);
	void addAdmin(Admin a);
	void modifyAdmin(Admin a);
	void removeAdmin(Admin a);
	Collection<Admin> findAdmin();
	Admin findAdmin(Integer id);
	Collection<Admin> findAdmin(AdminCondDTO dto);
	Collection<Admin> findAdmin(AdminCondDTO dto,int currentPage);
	int findAdminCntsByCond(AdminCondDTO dto);
}
